

/*	=============== */
/*	ENTÊTE > Profil */
/*	--------------- */

#profile {
	width: 40px;
	height: 40px;
	margin: -20px;
	position: absolute;
	top: 50%;
	right: 32px;
}
#profile>a {
	width: 100%;
	height: 100%;
	border: solid 1px;
	border-radius: 50%;
	overflow: hidden;
	position: absolute;
	top: 0;
	right: 0;
	z-index: 1;
	background: url('images/profile.svg');
	text-indent: -999px;
	color: #000;
}
#profile:hover>a {
	color: var(--link);
	background-position-y: 100%;
}
#profile>ul {
	margin: 16px 0 0;
	padding: 4px;
	border-radius: 3px;
	position: absolute;
	top: 100%;
	left: -24px;
	right: -24px;
	list-style: none;
	background: rgba(255,255,255,0.85);
	backdrop-filter: blur(4px);
	transform: translateY(8px);
	opacity: 0;
	box-shadow: 0 0 2px rgba(0,0,0,0.1), 0 0 4px rgba(0,0,0,0.05);
	font-size: 12px;
	text-align: center;
	line-height: 1;
	transition: 0.15s;
	pointer-events: none;
}
#profile:hover>ul {
	transform: translateY(0);
	opacity: 1;
	pointer-events: auto;
}
#profile>ul::before {
	content: '';
	width: 100%;
	height: 64px;
	position: absolute;
	bottom: 100%;
	left: 0;
}
#profile>ul::after {
	content: '';
	width: 8px;
	height: 4px;
	margin: -4px;
	position: absolute;
	top: 0;
	left: 50%;
	background: rgba(255,255,255,0.85);
	backdrop-filter: blur(4px);
	clip-path: polygon(0 100%, 50% 0, 100% 100%);
}
#profile>ul>li>a {
	padding: 4px 0;
	display: block;
}
@media (min-width: 768px) {
	#profile {
		right: 56px;
	}
}

/*	==================== */
/*	ENTÊTE > Bouton menu */
/*	-------------------- */

#menu_open {
	box-sizing: border-box;
	width: 32px;
	height: 32px;
	margin: -16px;
	border: solid 1px;
	border-radius: 4px;
	position: absolute;
	top: 50%;
	left: 32px;
	display: flex;
	align-items: center;
	justify-content: center;
	cursor: pointer;
	user-select: none;
}

@media (min-width: 768px) {
	#menu_open {
		left: 56px;
		display: none;
	}
}


/* ======================================= *\
	GÉNÉRAL
\* ======================================= */


/* ======================================= *\
	PIED DE PAGE
\* ======================================= */

footer {
	margin: 16px -16px 0;
	padding: 16px;
	background: rgba(0,0,0,0.9);
	font-size: 13px;
	text-align: center;
	color: #fff;
}

@media (min-width: 768px) {
	footer {
		margin: 16px -48px 0;
	}
}

/*	============== */
/*	ENTÊTE > Titre */
/*	-------------- */

body>header>h1 {
	margin: 0;
	padding: 0 0 0 36px;
	position: relative;
	font-size: 28px;
	text-transform: uppercase;
	color: var(--scgq);
	user-select: none;
}
body>header>h1::before {
	content: '';
	width: 32px;
	height: 32px;
	margin: -16px;
	position: absolute;
	top: 50%;
	left: 16px;
	background: url('images/scgq.svg');
}
body>header>h1>acronym {
	text-decoration: none;
}

/*	=============== */
/*	GÉNÉRAL > Bases */
/*	--------------- */

html {
	height: 100%;
}
body {
	box-sizing: border-box;
	min-height: 100%;
	margin: 0;
	padding: 64px 16px 0;
	display: flex;
	flex-direction: column;
	background: url('images/chateau.jpg#avif,webp') 50% 0 no-repeat, #f4f0ec linear-gradient(#ffffff, #ffffff);
	background-size: 896px;
	background-blend-mode: multiply;
	font-family: sans-serif;
}
body.nuit {
	background: url('images/chateau.jpg#avif,webp') 50% 0 no-repeat, #6b7a96 linear-gradient(#ffffff, #ffffff);
}

a {
	color: var(--link);
	text-decoration: none;
}
a:hover {
	text-decoration: underline;
}
a.button {
	padding: 2px 8px;
	border: solid 1px var(--link);
	border-radius: 3px;
	background: #fff;
	color: var(--link);
}
a.button:hover {
	background: var(--link);
	color: #fff;
	text-decoration: none;
}
q,
blockquote {
	margin: 4px 0;
	padding: 4px 8px;
	border-radius: 4px;
	border-left: solid 4px #0080ff;
	display: block;
	background: rgba(0,128,255,0.05);
	font-family: monospace;
	font-style: italic;
	font-size: 14px;
}


@media (min-width: 768px) {
	body {
		margin: 0 32px;
		padding: 96px 16px 0;
		background-size: unset;
	}
}

/*	============= */
/*	ENTÊTE > Date */
/*	------------- */
#date {
	margin: 0;
	padding: 4px 8px;
	border: solid 1px;
	border-radius: 5px;
	position: absolute;
	top: 12px;
	left: 16px;
	background: rgba(255,255,255,0.9);
	font-size: 10px;
}
#date>.resume {
	margin: 0 -4px;
}
#date>.resume>time {
	display: block;
	text-align: center;
}
#date>.resume>div {
	padding: 0 4px;
	display: inline-block;
}
#date>.resume>.fetes {
	border-left: solid 1px;
}
#date>.resume>div>span {
	width: 12px;
	height: 12px;
	background: #000000;
	border-radius: 50%;
	display: inline-flex;
	align-items: center;
	justify-content: center;
	font-size: 11px;
	font-weight: bold;
	vertical-align: middle;
	color: #ffffff;
}
#date>.celebrations {
	width: max-content;
	position: absolute;
	margin: 8px 0 0 -8px;
	padding: 4px 8px;
	border-radius: 3px;
	display: none;
	gap: 8px;
	background: rgba(0,0,0,0.8);
	font-size: 13px;
	color: #fff;
}
#date>.celebrations::before {
	content: '';
	width: 100%;
	height: 8px;
	position: absolute;
	bottom: 100%;
	left: 0;
}
#date:hover>.celebrations {
	display: flex;
}
#date>.celebrations>div>strong {
	display: block;
	text-align: center;
}
#date>.celebrations>.anniversaires>ul {
	margin: 0;
	padding: 0;
	list-style: none;
}
#date>.celebrations>.anniversaires>ul>li>a {
	margin: 4px 0;
	padding: 2px 8px;
	border-radius: 3px;
	display: flex;
	align-items: center;
	gap: 8px;
	background: #ffffff;
}
#date>.celebrations>.anniversaires>ul>li>a>img {
	width: 32px;
}
#date>.celebrations>.fetes>ul {
	margin: 0;
	padding: 0;
	list-style: none;
}
#date>.celebrations>.fetes>ul>li {
	margin: 2px 0;
	padding: 4px 8px 4px 4px;
	border: solid 1px;
	border-radius: 16px;
}
#date>.celebrations>.fetes>ul>li.M {
	color: #0080ff;
}
#date>.celebrations>.fetes>ul>li.F {
	color: #ff0080;
}
#date>.celebrations>.fetes>ul>li::before {
	width: 16px;
	height: 16px;
	margin: 0 6px 0 0;
	border-radius: 50%;
	display: inline-block;
	background: #ffffff;
	text-align: center;
}
#date>.celebrations>.fetes>ul>li.M::before {
	content: '♂';
}
#date>.celebrations>.fetes>ul>li.F::before {
	content: '♀';
}
#date>.celebrations>.fetes>ul>li>span {
	color: #ffffff;
}
@media (max-width: 768px) {
	#date {
		display: none;
	}
}


/* ======================================= *\
	ENTÊTE
\* ======================================= */

body>header {
	box-sizing: border-box;
	width: 100%;
	padding: 16px 80px;
	position: fixed;
	top: 0;
	left: 0;
	z-index: 5;
	display: flex;
	gap: 16px;
	align-items: center;
	justify-content: center;
	background: #fff;
	box-shadow: 0 0 2px rgba(0,0,0,0.1), 0 0 16px rgba(32,8,0,0.1);
}



/* ======================================= *\
	VARIABLES
\* ======================================= */

:root {
	--link:	#0080ff;
	--scgq: #183060;
}/* 2026-07-15 */

/*	=================== */
/*	ENTÊTE > Navigation */
/*	------------------- */

body>header>nav {
	display: none;
	gap: 8px;
}

@media (min-width: 768px) {
	body>header>nav {
		display: flex;
	}
}

/*	-------------------------- */
/*	ENTÊTE > Navigation > Menu */
/*	-------------------------- */

#nav_menu {
	margin: 0;
	padding: 0;
	display: flex;
	flex-wrap: wrap;
	gap: 4px;
	align-items: center;
	list-style: none;
}
#nav_menu>li a {
	padding: 4px 8px;
	border: solid 1px var(--link);
	border-radius: 3px;
	display: block;
	background: #fff;
	box-shadow: 0 0 2px rgba(0,0,0,0.05), 0 0 4px rgba(0,0,0,0.05);
	color: var(--link);
	text-decoration: none;
}
#nav_menu>li a:hover {
	background: var(--link);
	color: #fff;
}

/*	-------------------------------------- */
/*	ENTÊTE > Navigation > Recherche rapide */
/*	-------------------------------------- */

#quick_search {
	display: flex;
	gap: 4px;
	align-items: center;
}
#quick_search>fieldset {
	padding: 0;
	border: none;
	display: flex;
}
#quick_search>fieldset>input {
	padding: 4px 8px;
	border: solid 1px rgba(0,0,0,0.5);
	border-radius: 3px 0 0 3px;
}
#quick_search>fieldset>label {
	box-sizing: border-box;
	width: 40px;
	border-radius: 0 3px 3px 0;
	overflow: hidden;
	position: relative;
	background: #000;
	text-indent: -999px;
	color: #fff;
	cursor: pointer;
}
#quick_search>fieldset>label:hover {
	background: var(--link);
}
#quick_search>fieldset>label::before {
	content: '';
	box-sizing: border-box;
	width: 16px;
	height: 16px;
	margin: -8px;
	border: solid 2px #fff;
	border-radius: 50%;
	position: absolute;
	top: 50%;
	left: 50%;
}
#quick_search>fieldset>label::after {
	content: '';
	box-sizing: border-box;
	width: 4px;
	height: 6px;
	margin: 0 -2px;
	border-radius: 0 0 2px 2px;
	position: absolute;
	top: 50%;
	left: 50%;
	background: #fff;
	transform: translateY(-4px) rotate(45deg) translateY(12px);
}
#quick_search>fieldset>input[type=submit] {
	display: none;
}


/* ======================================= *\
	ERREUR
\* ======================================= */

#error>section {
	box-sizing: border-box;
	max-width: 400px;
	margin: 0 auto 32px;
}
#error>section>* {
	position: relative;
}
#error>section>h2 {
	margin: -4px 0 0;
	padding: 0 0 8px;
	border-bottom: dotted 1px;
	text-transform: uppercase;
	text-align: center;
}

@media (min-width: 768px) {
	#error>section {
		margin: 0 auto 128px;
		position: relative;
	}
	#error>section::before {
		content: attr(data-error-code);
		box-sizing: border-box;
		width: 100%;
		height: 100%;
		padding: 32px 24px 0;
		overflow: hidden;
		position: absolute;
		top: 0;
		left: 0;
		display: flex;
		flex-direction: column;
		justify-content: center;
		font-family: monospace;
		font-size: 160px;
		font-weight: bold;
		color: rgba(0, 0, 0, 0.05);
		line-height: 1;
		pointer-events: none;
	}
	#error>section.unknown::before {
		content: 'Erreur';
		font-size: 128px;
		font-variant: small-caps;
	}
}

/*	========================= */
/*	GÉNÉRAL > Zone principale */
/*	------------------------- */

main {
	width: 100%;
	max-width: 1280px;
	margin: 0 auto;
	display: flex;
	flex-direction: column;
	justify-content: center;
	flex: 1;
}
main>h2 {
	margin: 32px 0 24px;
	font-size: 32px;
	line-height: 1;
	color: #fff;
	text-shadow: 0 0 2px rgba(0,0,0,0.5), 0 1px 4px rgba(0,0,0,0.5), 0 1px 8px rgba(0,0,0,0.5);
}
main>section {
	margin: 0 0 24px;
	padding: 16px;
	border-radius: 4px;
	background: rgba(255,255,255,0.95);
	backdrop-filter: blur(3px);
	box-shadow: 0 0 2px rgba(0,0,0,0.1), 0 0 8px rgba(32,8,0,0.1);
}
body.nuit>main>section {
	background: rgba(0,0,0,0.6);
	color: rgba(255,255,255,0.8);
}
main>section h2 {
	margin: 8px 0 16px;
}


/* ======================================== *\
	ANIMATIONS
\* ======================================== */

@keyframes chargement {
	0%	{ transform: scale(1); }
	100%	{ transform: scale(0.75); }
}
@keyframes chargé {
	0%	{ transform: scale(0.75); }
	25%	{ transform: scale(1.2); }
	50%	{ transform: scale(0.9); }
	75%	{ transform: scale(1.05); }
	100%	{ transform: scale(1); }
}


/* ======================================= *\
	CONNEXION
\* ======================================= */

#connection {
	box-sizing: border-box;
	max-width: 576px;
	margin: 0px auto 24px;
	padding: 8px 24px;
	border-radius: 6px;
	box-shadow: 0 0 2px rgba(0,0,0,0.1), 0 0 8px rgba(32,8,0,0.1);
	background: #fff;
}
#connection>h2 {
	font-size: 20px;
	text-align: center;
}
#connection>h2>acronym {
	color: var(--scgq);
	text-decoration: none;
	cursor: help;
}
#connection>form {
	box-sizing: border-box;
	width: 100%;
	min-height: 240px;
	margin: 16px 0;
	position: relative;
	display: flex;
	flex-direction: column;
	justify-content: center;
	gap: 8px;
}
#connection>form>fieldset {
	margin: 0;
	padding: 8px;
	border: solid 1px rgba(0,0,0,0.2);
	border-radius: 4px;
	display: flex;
	flex-direction: column;
	gap: 8px;
}
#connection>form>fieldset>h3 {
	margin: 0;
	padding: 0 0 4px;
	border-bottom: dotted 1px rgba(0,0,0,0.5);
	font-size: 14px;
	font-weight: normal;
	text-align: center;
	color: rgba(0,0,0,0.5);
}
#connection>form>fieldset>input {
	padding: 4px 8px;
	border: solid 1px rgba(0,0,0,0.5);
	border-radius: 3px;
	font-size: 15px;
}
#connection>form>fieldset>input[type=email]:user-valid {
	border-color: #a0d000;
}
#connection>form>fieldset>input[type=email]:user-invalid {
	border-color: #e00020;
}
#connection>form>fieldset>input[type=submit] {
	border: solid 1px;
	background: #fff;
	color: var(--link);
	cursor: pointer;
}
#connection>form>fieldset>input[type=submit]:hover {
	border: solid 1px var(--link);
	background: var(--link);
	color: #fff;
	cursor: pointer;
}
#connection>form>fieldset>a {
	font-size: 12px;
}

@media (min-width: 768px) {
	#connection {
		margin: 0 auto 96px;
	}
	#connection>h2 {
		font-size: 24px;
	}
	#connection>form {
		padding-left: 240px;
	}
	#connection>form::before {
		content: '';
		width: 208px;
		height: 240px;
		margin: -120px -104px;
		position: absolute;
		top: 50%;
		left: 112px;
		background: url('images/Georges Quilliard.jpg#avif,webp') 50% / 100%;
	}
}


/* ======================================= *\
	ACCUEIL
\* ======================================= */

/*	=================== */
/*	ACCUEIL > Bienvenue */
/*	------------------- */

#welcome {
	margin: 0;
	padding: 35vh 16px 5vh;
	position: relative;
	text-align: center;
}
#welcome::after {
	content: '';
	width: 160px;
	height: 160px;
	margin: -80px;
	position: absolute;
	top: 35%;
	left: 50%;
	background: url('images/blazon.png#webp') 50% / 100%;
}

@media (min-width: 768px) {
	#welcome::after {
		content: '';
		width: 240px;
		height: 240px;
		margin: -120px;
	}
}

/*	=============== */
/*	ACCUEIL > Infos */
/*	--------------- */

@media (min-width: 768px) {
	#quick_infos {
		display: flex;
		gap: 16px;
	}
	#quick_infos>div {
		flex: 1 0 0;
	}
}

/*	-------------------------- */
/*	ACCUEIL > Infos > Annonces */
/*	-------------------------- */

#announcements>ul {
	margin: 0;
	padding: 0;
	list-style: none;
	font-size: 14px;
}
#announcements>ul>li {
	padding: 8px;
	position: relative;
}
#announcements>ul>li:nth-child(2n) {
	border-radius: 3px;
	background: rgba(0,48,128,0.05);
}
#announcements>ul>li>a {
	width: 100%;
	height: 100%;
	border-radius: 3px;
	position: absolute;
	top: 0;
	left:0;
	overflow: hidden;
	text-indent: -999px;
}
#announcements>ul>li>a:hover {
	box-shadow: 0 0 0 1px var(--link);
}

/*	---------------------------- */
/*	ACCUEIL > Infos > Calendrier */
/*	---------------------------- */

#calendriers {
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	gap: 16px;
}
#calendriers>h2 {
	flex: 1 0 100%;
}
#calendriers>table {
	text-align: center;
}
#calendriers>table>thead {
	
}
#calendriers>table>body {
	
}

/*	==================== */
/*	ACCUEIL > Actualités */
/*	-------------------- */

#news>ul {
	margin: 0;
	padding: 0;
	list-style: none;
}
#news>ul>li {
	box-sizing: border-box;
	margin: 32px 0;
	position: relative;
}
#news>ul>li::before {
	content: '';
	width: 100%;
	border-top: dotted 1px rgba(0,0,0,0.5);
	position: absolute;
	top: -16px;
	left: 0;
}
#news>ul>li>h3 {
	margin: 8px 0 16px;
}
#news>ul>li>.illustration {
	box-sizing: border-box;
	padding: 8px;
	overflow: hidden;
	display: flex;
	align-items: center;
	justify-content: center;
}
#news>ul>li>.illustration>img {
	max-width: 100%;
	max-height: 100%;
	border-radius: 3px;
	box-shadow: 0 0 2px rgba(0,0,0,0.1), 0 0 4px rgba(0,0,0,0.1);
}
#news>ul>li>p {
	margin: 8px 0 0;
	text-align: justify;
	hyphens: auto;
}
#news>ul>li>ul {
	margin: 8px 0;
	padding: 0 0 0 16px;
	list-style: disc;
}
#news>ul>li>p+ul,
#news>ul>li>p+ol {
	margin: 0;
}
#news>ul>li>.files {
	margin: 16px 0 0;
	padding: 0;
	display: flex;
	flex-wrap: wrap;
	gap: 8px;
	list-style: none;
	font-size: 11px;
	text-align: center;
}
#news>ul>li>.files>li {
	position: relative;
	display: flex;
}
#news>ul>li>.files>li>a {
	box-sizing: border-box;
	width: 96px;
	padding: 80px 8px 8px;
	border: solid 1px var(--link);
	border-radius: 4px;
	display: block;
	text-decoration: none;
	color: rgba(0,0,0,0.8);
	transition: 0.3s;
}
body.nuit #news>ul>li>.files>li>a {
	color: rgba(255,255,255,0.8);
}
#news>ul>li>.files>li>a:hover {
	background: rgba(0,128,255,0.1);
}
#news>ul>li>.files>li>a::before {
	content: '';
	width: 64px;
	height: 64px;
	margin: -32px;
	position: absolute;
	top: 40px;
	left: 50%;
}
#news>ul>li>.files>li>a.pdf::before {	background: url('images/file_pdf.png') }
#news>ul>li>.files>li>a.video::before {	background: url('images/file_video.png') }

@media (min-width: 768px) {
	#news>ul>li {
		min-height: 256px;
		padding-right: 288px;
	}
	#news>ul>li>.illustration {
		width: 272px;
		height: 100%;
		position: absolute;
		top: 0;
		right: 0;
		display: flex;
		align-items: center;
		justify-content: center;
	}
	#news>ul>li>.illustration::before {
		content: '';
		height: 192px;
		border-left: dotted 1px rgba(0,0,0,0.5);
		margin: -96px 0;
		position: absolute;
		top: 50%;
		left: 0;
	}
}


/* ======================================= *\
	GÉNÉALOGIE
\* ======================================= */

/*	================== */
/*	GÉNÉALOGIE > Arbre */
/*	------------------ */

/*	------------------------------ */
/*	GÉNÉALOGIE > Arbre > Recherche */
/*	------------------------------ */

#arbre>form {
	position: sticky;
	top: 72px;
	z-index: 3;
	background: rgba(255,255,255,0.9);
	backdrop-filter: blur(4px);
}
body.nuit #arbre>form {
	background: rgba(0,0,0,0.6);
}
#arbre>form>fieldset {
	margin: 0;
	padding: 8px;
	border: solid 1px rgba(0,0,0,0.2);
	border-radius: 4px;
	display: flex;
	flex-wrap: wrap;
	gap: 4px;
}
#arbre>form>fieldset input,
#arbre>form>fieldset>select {
	padding: 4px 8px;
	border: solid 1px rgba(0,0,0,0.5);
	border-radius: 3px;
	font-size: 14px;
}
#arbre>form>fieldset>select {
	background: linear-gradient(#fff, #ececee);
}
#arbre>form>fieldset>select:hover {
	border-color: var(--link);
	color: var(--link);
}
#arbre>form>fieldset>select>option {
	color: #000000;
	background: #ffffff;
}
#arbre>form>fieldset>input:hover {
	border-color: var(--link);
}
#arbre>form>fieldset>div {
	min-width: 240px;
	position: relative;
	display: flex;
	flex: 1;
	z-index: 2;
}
#arbre>form>fieldset>div>input {
	box-sizing: border-box;
	width: 100%;
	padding: 8px 16px;
	position: relative;
	z-index: 1;
	display: block;
	font-size: 16px;
}
#arbre>form>fieldset>div>ul {
	width: 100%;
	max-height: 400px;
	margin: -4px 0 0;
	padding: 0;
	border-radius: 0 0 3px 3px;
	overflow: auto;
	position: absolute;
	top: 100%;
	left: 0;
	background: rgba(0,0,0,0.8);
	backdrop-filter: blur(3px);
	list-style: none;
	font-size: 14px;
	line-height: 1;
	color: #ffffff;
}
#arbre>form>fieldset>div>ul.closed {
	display: none;
}
#arbre>form>fieldset>div>ul>li {
	padding: 0 8px;
}
#arbre>form>fieldset>div>ul>li.separateur {
	height: 0;
	border-top: dotted 1px;
	overflow: hidden;
}
#arbre>form>fieldset>div>ul>li.discontinu {
	border-top: dotted 1px;
}
#arbre>form>fieldset>div>ul>li>a {
	margin: 0 -8px;
	padding: 4px 8px;
	border-left: solid 2px #ffffff;
	display: block;
	color: #ffffff;
	text-decoration: none;
}
#arbre>form>fieldset>div>ul>li:first-child {
	margin-top: 8px;
}
#arbre>form>fieldset>div>ul>li:last-child {
	margin-bottom: 8px;
}
#arbre>form>fieldset>div>ul>li>a:hover {
	background: var(--link);
}
#arbre>form>fieldset>div>ul>li>a.M {
	border-left: solid 2px #0080ff;
}
#arbre>form>fieldset>div>ul>li>a.F {
	border-left: solid 2px #ff0080;
}
#arbre>form>fieldset>input[type=submit] {
	border: solid 1px;
	background: #ffffff;
	color: var(--link);
	cursor: pointer;
}
#arbre>form>fieldset>input[type=submit]:hover {
	border: solid 1px var(--link);
	background: var(--link);
	color: #ffffff;
	cursor: pointer;
}

@media (max-width: 768px) {
	#arbre>form>fieldset>input,
	#arbre>form>fieldset>select {
		display: none;
	}
}

/*	--------------------------- */
/*	GÉNÉALOGIE > Arbre > Membre */
/*	--------------------------- */

#arbre .membre>.fiche {
	width: 128px;
	height: 128px;
	border-radius: 50%;
	position: relative;
	animation: chargé 0.3s;
	transition: opacity 0.3s;
}
#arbre .membre.racine>.fiche {
	box-shadow: 0 0 0 3px;
}
#arbre .membre.chargement>.fiche {
	opacity: 0.5;
	animation: chargement 0.3s;
	animation-fill-mode: forwards;
}
#arbre .membre h3 {
	margin: -4px 0px 0px;
	padding: 2px 4px;
	border-radius: 3px;
	position: absolute;
	bottom: -20px;
	left: -8px;
	right: -8px;
	z-index: 1;
	display: block;
	background: rgba(0,0,0,0.8);
	font-size: 13px;
	text-align: center;
	line-height: 1.1;
	color: #ffffff;
	pointer-events:none;
}
#arbre .membre:not(.inconnu)>.fiche:hover>h3 {
	display: none;
}
#arbre .generation_2>.membre h3 {
	margin-top: -2px;
	font-size: 12px;
}
#arbre .generation_3>.membre h3 {
	margin-top: 0;
	font-size: 11px;
}
#arbre .membre h3>span {
	display: block;
	font-family: monospace;
	font-size: 9px;
}
#arbre .membre>.fiche:hover::before {
	content: '';
	width: 100%;
	height: 50%;
	position: absolute;
	bottom: 0;
	left: 0;
}
#arbre .membre>.fiche>.portrait {
	width: 100%;
	height: 100%;
	border-radius: 50%;
	overflow: hidden;
	position: relative;
	display: flex;
	justify-content: center;
	background: #ffffff;
	box-shadow: 0 0 2px rgba(0,0,0,0.1), 0 0 8px rgba(0,0,0,0.1);
	text-indent: -999px;
	transition: 0.15s;
}
#arbre .membre.inconnu>.fiche>.portrait {
	opacity: 0.5;
	pointer-events: none;
}
#arbre .membre>.fiche>.portrait:hover {
	transform: scale(1.05);
}
#arbre .membre>.fiche>.portrait>img {
	max-width: 100%;
}
#arbre .membre>.fiche>ul {
	box-sizing: border-box;
	max-width: 160px;
	margin: -4px auto 0;
	padding: 4px 8px;
	border-radius: 3px;
	position: absolute;
	top: 100%;
	left: -32px;
	right: -32px;
	z-index: 2;
	display: none;
	background: #ffffff;
	box-shadow: 0 0 2px rgba(0,0,0,0.1), 0 0 8px rgba(0,0,0,0.1);
	font-size: 12px;
	color: #000000;
	line-height: 1.2;
	list-style: none;
}
#arbre .membre:not(.inconnu)>.fiche:hover>ul {
	display: block;
}
#arbre .membre>.fiche>ul>li {
	padding: 2px 8px;
	border-left: solid 4px;
	list-style: none;
	margin: 4px 0;
}
#arbre .membre>.fiche>ul>li:first-child {
	padding: 0;
	border-left: none
}
#arbre .membre>.fiche>ul>li>h4 {
	margin: 0;
}
#arbre .membre>.fiche>ul>li>h4.m::before,
#arbre .membre>.fiche>ul>li>h4.f::before,
#arbre .membre>.fiche>ul>li>h4.deces::before {
	margin: 0 4px 0 0;
	font-weight: normal;
}
#arbre .membre>.fiche>ul>li>h4.m::before {
	content: '♂';
}
#arbre .membre>.fiche>ul>li>h4.f::before {
	content: '♀';
}
#arbre .membre>.fiche>ul>li>h4.deces::before {
	content: '†';
}

#arbre>.ascendants {
	margin: 32px 0 0;
}
#arbre>.ascendants>div {
	margin: 8px 0;
	display: flex;
}
#arbre>.ascendants>div>div {
	padding: 0 0 40px;
	position: relative;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	flex: 1 0 0;
}
#arbre>.ascendants>div>div::before,
#arbre>.ascendants>div>div::after {
	content: '';
	width: 25%;
	height: 8px;
	position: absolute;
	bottom: 0;
	opacity: 0.25;
}
body.nuit #arbre>.ascendants>div>div::before,
body.nuit #arbre>.ascendants>div>div::after {
	opacity: 0.5;
}
#arbre>.ascendants>div>div::before {
	content: '';
	margin: 0 0 8px;
	border-bottom: solid 1px rgba(0,0,0,0.5);
}
body.nuit #arbre>.ascendants>div>div::before {
	border-bottom: solid 1px rgba(255,255,255,0.8);
}
#arbre>.ascendants>div>div::after {
	content: '';
	border-top: solid 1px rgba(0,0,0,0.5);
}
body.nuit #arbre>.ascendants>div>div::after {
	border-top: solid 1px rgba(255,255,255,0.8);
}
#arbre>.ascendants>div>div:nth-child(2n)::before {
	border-radius: 0 0 8px 0;
	left: 25%;
}
#arbre>.ascendants>div>div:nth-child(2n+1)::before {
	border-radius: 0 0 0 8px;
	left: 50%;
}
#arbre>.ascendants>div>div:nth-child(2n)::after {
	border-radius: 8px 0 0 0;
	left: 0;
}
#arbre>.ascendants>div>div:nth-child(2n+1)::after {
	border-radius: 0 8px 0 0;
	right: 0;
}
body #arbre>.ascendants>div>div.ascendant::before,
body #arbre>.ascendants>div>div.ascendant::after {
	border-width: 2px;
	opacity: 1;
}

#arbre>.personne>.membre {
	width: fit-content;
	margin: 0 auto;
	padding: 0 0 48px;
	position: relative;
	display: flex;
	flex-direction: column;
	align-items: center;
}

#arbre>.descendants {
	margin: 0;
	position: relative;
}
#arbre>.descendants::before {
	content: '';
	height: 32px;
	border-left: dashed 1px;
	position: absolute;
	left: 50%;
	bottom: 100%;
}
#arbre>.descendants>.membre {
	position: relative;
	z-index: 1;
	display: flex;
	flex-direction: column;
	align-items: center;
}
#arbre>.descendants>.membre>h3 {
	bottom: -16px;
}
#arbre>.descendants>.membre::before {
	content: '';
	box-sizing: border-box;
	width: 112px;
	height: 56px;
	margin: -56px;
	border: dashed 1px rgba(0,0,0,0.5);
	border-bottom: none;
	border-radius: 56px 56px 0 0;
	position: absolute;
	top: 50%;
	left: 50%;
}
body.nuit #arbre>.descendants>.membre::before {
	border: dashed 1px rgba(255,255,255,0.5);
}
#arbre>.descendants>.membre>.union {
	box-sizing: border-box;
	width: 50%;
	height: 50%;
	padding: 8px 0 8px 64px;
	position: absolute;
	left: 50%;
	top: 0;
	display: flex;
	flex-direction: column;
	justify-content: flex-end;
	font-size: 13px;
}
#arbre>.descendants .membre>.fiche {
	width: 96px;
	height: 96px;
	margin: 8px;
}
#arbre>.descendants>.enfants {
	box-sizing: border-box;
	width: max-content;
	max-width: 100%;
	margin: -56px auto 32px;
	padding: 64px 8px 16px;
	border: dashed 1px rgba(0,0,0,0.5);
	border-radius: 6px;
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	clip-path: polygon(-25% -8px, calc(50% - 56px) -8px, calc(50% - 56px) 1px, calc(50% + 56px) 1px, calc(50% + 56px) -8px, 125% -8px, 125% 300%, -25% 300%);
}
body.nuit #arbre>.descendants>.enfants {
	border: dashed 1px rgba(255,255,255,0.5);
}
#arbre>.descendants>.enfants>.membre {
	margin: 8px;
	position: relative;
	display: flex;
	flex-direction: column;
	align-items: center;
}
#arbre>.descendants>.enfants>.membre>h3 {
	margin: 0 0 -24px;
}
#arbre>#services {
	margin: 48px 0 0;
	padding: 8px;
	border: solid 1px rgba(0,0,0,0.1);
	border-radius: 6px;
	position: relative;
	z-index: -1;
	display: flex;
	flex-wrap: wrap;
	gap: 8px;
	list-style: none;
}
#arbre>#services>li {
	border-radius: 3px;
	display: flex;
	flex: 1 0 0;
	background: #ffffff;
}
#arbre>#services>li>a {
	padding: 80px 16px 8px;
	border: solid 1px;
	border-radius: 3px;
	position: relative;
	display: flex;
	align-items: center;
	justify-content: center;
	flex: 1;
	text-align: center;
}
#arbre>#services>li>a::before {
	content: '';
	width: 80px;
	height: 80px;
	margin: -40px;
	position: absolute;
	top: 44px;
	left: 50%;
	background: url('images/genealogie.svg') no-repeat;
}
#arbre>#services>li.ascendance>a::before	{ background-position: 0 0; }
#arbre>#services>li.descendance>a::before	{ background-position: -80px 0; }
#arbre>#services>li.localisation>a::before	{ background-position: -160px 0; }
#arbre>#services>li.annuaire>a::before		{ background-position: -240px 0; }
#arbre>#services>li.calendrier>a::before	{ background-position: -320px 0; }
#arbre>#services>li>a:hover {
	background: rgba(0,128,255,0.1);
	border: solid 1px #0080ff;
	text-decoration: none;
}

/*	========================= */
/*	GÉNÉALOGIE > Fiche membre */
/*	------------------------- */

#fiche_membre {
	box-sizing: border-box;
	width: 100%;
	height: 100%;
	margin: 0;
	padding: 80px 32px 16px;
	position: fixed;
	top: 0;
	left: 0;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	background: rgba(0,0,0,0.8);
	backdrop-filter: blur(4px);
	cursor: pointer;
}
#fiche_membre.closed {
	display: none;
}
#fiche_membre.loading::before {
	content: 'Chargement';
	box-sizing: border-box;
	width: 128px;
	height: 128px;
	margin: -64px;
	border: solid 4px;
	border-radius: 50%;
	position: absolute;
	top: 50%;
	left: 50%;
	display: flex;
	align-items: center;
	justify-content: center;
	text-align: center;
	color: #ffffff;
}
#fiche_membre>div {
	box-sizing: border-box;
	width: 100%;
	max-width: 640px;
	padding: 16px;
	border-radius: 4px;
	overflow: auto;
	background: #ffffff;
	color: #000000;
	cursor: auto;
}
#fiche_membre.loading>div {
	display: none;
}
#fiche_membre>div>div.titre {
	margin: 0 0 16px;
	position: sticky;
	top: -16px;
	display: flex;
	align-items: center;
	gap: 8px;
	background: #ffffff;
}
#fiche_membre>div>div.titre>h2 {
	margin: 0;
	padding: 8px 0;
	flex: 1;
}
#fiche_membre>div>div.titre>div {
	display: flex;
	gap: 6px;
}
#fiche_membre>div>div.titre>div>a {
	box-sizing: border-box;
	width: 32px;
	height: 32px;
	padding: 4px;
	border: solid 1px;
	border-radius: 3px;
	overflow: hidden;
	position: relative;
	text-indent: -999px;
}
#fiche_membre>div>div.titre>div>a::before {
	width: 20px;
	height: 20px;
	position: absolute;
	margin: -10px;
	left: 50%;
	top: 50%;
	line-height: 20px;
	text-indent: 0;
	text-align: center;
}
#fiche_membre>div>div.titre>div>a.voir::before {
	content: '👁';
}
#fiche_membre>div>div.titre>div>a.editer::before {
	content: '✏';
	transform: rotate(-45deg);
}
#fiche_membre>div>h3 {
	margin: 16px 0 4px;
}
#fiche_membre>div>.photos {
	margin: 16px 0;
	padding: 0;
	overflow: auto;
	display: flex;
	gap: 8px;
	list-style: none;
}
#fiche_membre>div>.photos>ul {
	margin: 0;
	padding: 4px 0;
	display: flex;
	gap: 4px;
	list-style: none;
}
#fiche_membre>div>.photos>ul>li>a {
	width: 128px;
	height: 128px;
	border-radius: 4px;
	overflow: hidden;
	display: flex;
	align-items: center;
	justify-content: center;
}
#fiche_membre>div>.photos>ul>li>a>img {
	max-width: 100%;
	margin: 0 auto;
	display: block;
}
#fiche_membre>div>div {
	margin: 0 0 16px;
	columns: 192px;
}
#fiche_membre>div>div>dl {
	margin: 0 0 8px;
	overflow: hidden;
}
#fiche_membre>div>div>dl>dt {
	margin: 0 0 4px;
	padding: 2px 0;
	border-bottom: dotted 1px rgba(0,0,0,0.5);
	font-size: 12px;
	color: rgba(0,0,0,0.75);
}
#fiche_membre>div>div>dl>dd {
	max-height: 320px;
	margin: 0;
	overflow: auto;
}

@media (max-width: 768px) {
	#arbre>.ascendants>.generation_2,
	#arbre>.ascendants>.generation_3 {
		margin: 8px 0;
	}
	#arbre>.ascendants>.generation_2>.membre,
	#arbre>.ascendants>.generation_3>.membre {
		padding: 0 0 24px;
	}
	#arbre .generation_2>.membre>h3,
	#arbre .generation_3>.membre>h3 {
		display: none;
	}
	#arbre .generation_1>.membre>.fiche {
		width: 64px;
		height: 64px;
	}
	#arbre .generation_2>.membre>.fiche {
		width: 48px;
		height: 48px;
	}
	#arbre .generation_3>.membre>.fiche {
		width: 32px;
		height: 32px;
	}
	#fiche_membre>div>div.titre>div {
		flex-direction: column;
		gap: 4px;
	}
	#fiche_membre>div>div.titre>div>a {
		width: 28px;
		height: 28px;
	}
	#fiche_membre>div>.photos>ul>li>a {
		width: 64px;
		height: 64px;
	}
}
@media (min-width: 768px) {
	#arbre .generation_1>.membre>.fiche {
		width: 96px;
		height: 96px;
	}
	#arbre .generation_2>.membre>.fiche {
		width: 80px;
		height: 80px;
	}
	#arbre .generation_3>.membre>.fiche {
		width: 64px;
		height: 64px;
	}
	#fiche_membre {
		padding: 96px 32px 32px;
	}
}

/*	================= */
/*	GÉNÉRAL > Spécial */
/*	----------------- */

a.membre {
	box-sizing: border-box;
	min-height: 48px;
	margin: 0 0 2px;
	padding: 4px 8px 4px 56px;
	border: solid 1px rgba(0,0,0,0.1);
	border-radius: 3px;
	position: relative;
	display: flex;
	align-items: center;
	background: #ffffff;
	font-size: 13px;
}
a.membre:hover {
	text-decoration: none;
	border: solid 1px #0080ff;
	background: rgba(0,128,255,0.1);
}
a.membre::before {
	content: '👁';
	box-sizing: border-box;
	width: 20px;
	height: 20px;
	margin: -10px;
	border: solid 1px;
	border-radius: 50%;
	position: absolute;
	top: 50%;
	left: 24px;
	font-size: 15px;
	line-height: 16px;
	text-align: center;
}
a.membre>img {
	width: 36px;
	height: 36px;
	margin: -18px;
	border-radius: 2px;
	position: absolute;
	top: 50%;
	left: 24px;
	display: flex;
	align-items: center;
	justify-content: center;
	background: #ffffff;
	font-size: 9px;
	text-align: center;
	color: rgba(0,0,0,0.5);
}